Skip to main content
GET
Retrieve the comparison of annual electric energies in kWh between one year and the previous year, for a list of years, by tariff item (graph of comparison of annual energies.

Path Parameters

site-id
string
required

Edelia ID of the site

Query Parameters

years
string
required

Array of years for which a comparison of consumption between the year requested and the previous one. Format yyyy separated by ,

Response

OK

currentYear
object
required
previousYear
object
required
energyDifferenceRate
integer<int32>
required

Pourcentage d'augmentation de l'énergie consommée entre l'année N-1 et N

costDifferenceRate
integer<int32>

Cost difference between year N and year N-1. Expressed in percentage

weatherImpactMessageCode
string

Code of the weather impact message to display

Example:

"COLDER_WEATHER_HIGHER_CONSO"

weatherImpactParameters
object

Only when weatherImpactMessageCode is returned. Map of keys and values matching the variables to replace in the text of the message with messageCode (example "impactPercent":23,"typeOfWinter":"hiver rigoureux").